<GRAMMAR>
	<GRAMMAR LANGID="409">
		<DEFINE>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_RED" VAL="33903"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_GREEN" VAL="33904"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_BLUE" VAL="33905"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_BLACK" VAL="33907"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_PINK" VAL="33908"/>
			<ID NAME="ID_RENDERPROPERTY_PENWIDTH_MORE" VAL="33913"/>
			<ID NAME="ID_RENDERPROPERTY_PENWIDTH_LESS" VAL="33915"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_SOLID" VAL="33921"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DASH" VAL="33922"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DOT" VAL="33924"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DASHDOT" VAL="33925"/>
		</DEFINE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_RED" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="255,0,0">
				<P>Red Pen Color</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_GREEN" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,255,0">
				<P>Green Pen Color</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_BLUE" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,0,255">
				<P>Blue Pen Color</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_BLACK" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,0,0">
				<P>Black Pen Color</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_PINK" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="255,0,255">
				<P>Pink Pen Color</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENWIDTH_MORE" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="2.0">
				<P>Thicker Pen Width</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENWIDTH_LESS" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="-2.0">
				<P>Thinner Pen Width</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_SOLID" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0">
				<P>Solid Pen Type</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DASH" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="1">
				<P>Dash Pen Type</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DOT" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="2">
				<P>Dot Pen Type</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DASHDOT" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="3">
				<P>DashDot Pen Type</P></L>
		</RULE>
	</GRAMMAR>
	<GRAMMAR LANGID="804">
		<DEFINE>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_RED" VAL="33903"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_GREEN" VAL="33904"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_BLUE" VAL="33905"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_BLACK" VAL="33907"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_PINK" VAL="33908"/>
			<ID NAME="ID_RENDERPROPERTY_PENWIDTH_MORE" VAL="33913"/>
			<ID NAME="ID_RENDERPROPERTY_PENWIDTH_LESS" VAL="33915"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_SOLID" VAL="33921"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DASH" VAL="33922"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DOT" VAL="33924"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DASHDOT" VAL="33925"/>
		</DEFINE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_RED" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="255,0,0">
				<P>笔色为红色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_GREEN" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,255,0">
				<P>笔色为绿色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_BLUE" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,0,255">
				<P>笔色为蓝色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_BLACK" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,0,0">
				<P>笔色为黑色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_PINK" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="255,0,255">
				<P>笔色为粉色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENWIDTH_MORE" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="2.0">
				<P>粗一些</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENWIDTH_LESS" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="-2.0">
				<P>细一些</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_SOLID" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0">
				<P>实线</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DASH" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="1">
				<P>虚线</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DOT" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="2">
				<P>点线</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DASHDOT" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="3">
				<P>点划线</P></L>
		</RULE>
	</GRAMMAR>
	<GRAMMAR LANGID="404">
		<DEFINE>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_RED" VAL="33903"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_GREEN" VAL="33904"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_BLUE" VAL="33905"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_BLACK" VAL="33907"/>
			<ID NAME="ID_RENDERPROPERTY_PENCOLOR_PINK" VAL="33908"/>
			<ID NAME="ID_RENDERPROPERTY_PENWIDTH_MORE" VAL="33913"/>
			<ID NAME="ID_RENDERPROPERTY_PENWIDTH_LESS" VAL="33915"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_SOLID" VAL="33921"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DASH" VAL="33922"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DOT" VAL="33924"/>
			<ID NAME="ID_RENDERPROPERTY_DASHSTYLE_DASHDOT" VAL="33925"/>
		</DEFINE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_RED" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="255,0,0">
				<P>筆色為紅色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_GREEN" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,255,0">
				<P>筆色為綠色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_BLUE" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,0,255">
				<P>筆色為藍色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_BLACK" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0,0,0">
				<P>筆色為黑色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENCOLOR_PINK" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="255,0,255">
				<P>筆色為粉色</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENWIDTH_MORE" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="2.0">
				<P>粗一些</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_PENWIDTH_LESS" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="-2.0">
				<P>細一些</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_SOLID" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="0">
				<P>實線</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DASH" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="1">
				<P>虛線</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DOT" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="2">
				<P>點線</P></L>
		</RULE>
		<RULE NAME="ID_RENDERPROPERTY_DASHSTYLE_DASHDOT" TOPLEVEL="ACTIVE" DYNAMIC="TRUE">
			<L PROPNAME="3">
				<P>點劃線</P></L>
		</RULE>
	</GRAMMAR>
</GRAMMAR>
